TaglibUtils (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.util.TaglibUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.util
Class TaglibUtils

    java.lang.Object
      org.hyperic.hq.ui.util.TaglibUtils

    public class TaglibUtils

extends java.lang.Object

Utilities class that provides convenience methods for taglib classes.

Constructor Summary
`TaglibUtils()`

Method Summary
`static void` | `setScopedVariable(javax.servlet.jsp.PageContext pageContext, java.lang.String scope, java.lang.String var, java.lang.Object value)` Set the value of the variable in the given scope with the given name as the given object.
`static java.lang.String` | `shortenPath(java.lang.String path, int preChars, int postChars)`
`static java.lang.String` | `shortenPath(java.lang.String path, int preChars, int postChars, boolean strict)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaglibUtils

    public TaglibUtils()

Method Detail

### setScopedVariable

    public static void setScopedVariable(javax.servlet.jsp.PageContext pageContext,
                                         java.lang.String scope,
                                         java.lang.String var,
                                         java.lang.Object value)

  Set the value of the variable in the given scope with the given name as the given object. If the scope is specified as `null`, the variable will be set in the page scope.

  Parameters:
    `pageContext` - the page context
    `scope` - the scope of the variable ("application", "session", "request", or "page")
    `var` - the name of the variable
    `value` - the value of the variable

### shortenPath

    public static java.lang.String shortenPath(java.lang.String path,
                                               int preChars,
                                               int postChars,
                                               boolean strict)

  Parameters:
    `preChars` - The maximum number of chars to appear before the "..."
    `postChars` - The maximum number of chars to appear after the "..."
  Returns:
    The path, shortened by putting "..." in the middle

### shortenPath

    public static java.lang.String shortenPath(java.lang.String path,
                                               int preChars,
                                               int postChars)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.